#
# spec file for package libjackasyn
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           libjackasyn
BuildRequires:  automake
BuildRequires:  libjack-devel
BuildRequires:  libsamplerate-devel
Summary:        A Wrapper Library for JACK
Version:        0.12
Release:        lp150.1.3
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Utilities
Url:            http://gige.xdv.org/soft/libjackasyn
Source:         %{name}-%{version}.tar.bz2
Patch:          libjackasyn-install-fix.dif
Patch1:         libjackasyn-coptflags.diff
Patch2:         libjackasyn-missing-close.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Libjackasyn is a library that allows you to run any Linux sound program
made for the OSS system as a JACK client.



Authors:
--------
    Guenter Geiger <geiger@xdv.org>

%prep
%setup -q
%patch
%patch1
%patch2 -p1

%build
%{?suse_update_config:%{suse_update_config -f}}
autoreconf --force --install
%configure
make

%install
make DESTDIR="$RPM_BUILD_ROOT" install
%{__rm} -f %{buildroot}%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS CHANGELOG COPYING README TODO WORKING
%{_libdir}/lib*
%{_bindir}/*
%{_includedir}/*.h
%doc %{_mandir}/man?/*

%changelog
* Thu Dec  1 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Sun May  1 2011 toddrme2178@gmail.com
- Added 32bit compatibility libraries
* Fri Nov  6 2009 tiwai@suse.de
- fix missing close() (bnc#544220)
* Thu Apr  2 2009 crrodriguez@suse.de
- remove static library
- use RPM_OPT_FLAGS
* Tue Jan 16 2007 tiwai@suse.de
- use %%configure
- fix compile options
* Tue May 16 2006 tiwai@suse.de
- updated to version 0.12:
  * fixed fcntl implementation
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 12 2005 tiwai@suse.de
- removed glib* from neededforbuild.
* Wed Apr 13 2005 tiwai@suse.de
- updated to version 0.11.
- fixed build with gcc-4.0.
* Thu Feb 26 2004 tiwai@suse.de
- updated to version 0.10.
- added libsamplerate and devel to neededforbuild.
* Sun Jan 11 2004 adrian@suse.de
- add %%run_ldconfig
* Wed Jul 23 2003 tiwai@suse.de
- fixed the build with the latest jack.
* Tue Jul 22 2003 tiwai@suse.de
- initial version: 0.8.
